Gate
List gate visits, newest first (scope: gate:read)
GET
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
status?stringExact status
Value in
"EXPECTED""AT_GATE""CHECKED_IN""AT_DOCK""WEIGHED_IN""LOADING""WEIGHED_OUT""DOCS_PENDING""DEPARTED""CANCELLED"active?booleantrue = not DEPARTED/CANCELLED; false = only those
direction?stringDirection
Value in
"INBOUND""OUTBOUND""OTHER"plate?stringPlate substring, spaces and dashes ignored
from?stringArrived at or after
Format
date-timeto?stringArrived at or before
Format
date-timepage?integerperPage?integerOK
application/json- response
data*array<>meta?error*nullcurl -X GET "https://example.com/gate/visits"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "number": "string", "direction": "INBOUND", "status": "EXPECTED", "source": "MANUAL", "vehicle_plate": "string", "trailer_plate": "string", "fleet_vehicle_id": "ceaff20e-4a5b-4d27-b404-c40b42bbe6c7", "compliance_alerts": [ { "kind": "string", "expiresAt": "2019-08-24T14:15:22Z", "expired": true } ], "driver_name": "string", "carrier_id": "48e94619-563d-402c-b442-97b2c8fb116b", "carrier_name": "string", "partner_id": "6a3a39f6-861b-4a48-b868-5de838400e06", "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795", "dock_name": "string", "purpose": "string", "notes": "string", "expected_at": "2019-08-24T14:15:22Z", "arrived_at": "2019-08-24T14:15:22Z", "docked_at": "2019-08-24T14:15:22Z", "departed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "meta": { "page": 0, "perPage": 0, "total": 0, "totalPages": 0, "nextCursor": "string" }, "error": null}